import os,re


def set_single_page_view (filepdfin):
    from pikepdf import Pdf, Dictionary, Name
    import os
    from pathlib import Path
    pdf=Pdf.open(filepdfin,allow_overwriting_input=True)
    # file_only_path=os.path.dirname(filepdfin)
    # file_without_ext = Path(filepdfin).stem
    pdf.Root.PageLayout=Name('/SinglePage')
    pdf.Root.PageMode=Name('/UseNone')
    pdf.save()


# set_single_page_view(r"u:\Dropbox\!!!Days\Downloads Z230\Dokumentace\a.pdf")

cesta=r"u:\dropbox\ordinace\Dokumentace_ke_zpracování"

for file in os.listdir(cesta):
    if file.upper().endswith((".PDF")) and os.path.isfile(os.path.join(cesta,file)):
        set_single_page_view(os.path.join(cesta,file))
